
%global meadversion 3.0.0
%global namedversion 3.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package javaee-security-soteria}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.0.redhat-00001

Name:           %{?scl_prefix}javaee-security-soteria
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:         Java EE Security (JSR-375) Reference Implementation
Group:          Development/Java

%if %with mead
Source100: parent-3.0.0.redhat-00001-project-sources.tar.gz
Source102: soteria.spi.bean.decorator.weld-3.0.0.redhat-00001.jar
Source103: soteria.spi.bean.decorator.weld-3.0.0.redhat-00001-javadoc.jar
Source104: parent-3.0.0.redhat-00001.pom
Source105: soteria.spi.bean.decorator.weld-3.0.0.redhat-00001.pom
Source106: jakarta.security.enterprise-3.0.0.redhat-00001-sources.jar
Source107: jakarta.security.enterprise-3.0.0.redhat-00001-javadoc.jar
Source108: spi-3.0.0.redhat-00001.pom
Source109: spi-bean-decorator-3.0.0.redhat-00001.pom
Source110: soteria.spi.bean.decorator.weld-3.0.0.redhat-00001-sources.jar
Source111: jakarta.security.enterprise-3.0.0.redhat-00001.pom
Source112: jakarta.security.enterprise-3.0.0.redhat-00001.jar
%endif

License:        EPL-2.0
URL:            https://github.com/javaee/security-soteria
BuildArch:      noarch
BuildRoot:      %{_tmppath}/javaee-security-soteria-%{namedversion}-%{release}-root

%description
Java EE Security (JSR-375) Reference Implementation.

%package -n %{?scl_prefix}javaee-security-soteria-enterprise
Summary:        Java EE Security (JSR-375) Reference Implementation.
Group:          Development/Java


%description -n %{?scl_prefix}javaee-security-soteria-enterprise
Java EE Security (JSR-375) Reference Implementation.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javaee-security-soteria
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.security.enterprise-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.security.enterprise-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/soteria.spi.bean.decorator.weld-%{namedversion}.jar %{buildroot}%{_javadir}/soteria.spi.bean.decorator.weld-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.security.enterprise-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.security.enterprise-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/soteria.spi.bean.decorator.weld-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/soteria.spi.bean.decorator.weld-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.security.enterprise-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.security.enterprise-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/soteria.spi.bean.decorator.weld-%{namedversion}-sources.jar %{buildroot}%{_javadir}/soteria.spi.bean.decorator.weld-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javaee-security-soteria-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.security.enterprise-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.security.enterprise-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/soteria.spi.bean.decorator.weld-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/soteria.spi.bean.decorator.weld-%{namedversion} -x META-INF/\*
%{__ln_s} javaee-security-soteria-%{namedversion} %{buildroot}%{_javadocdir}/javaee-security-soteria
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md NOTICE.md

%files -n %{?scl_prefix}javaee-security-soteria-enterprise
%defattr(0644,root,root,0755)
%{_javadir}/jakarta.security.enterprise-%{namedversion}.jar
%{_javadir}/jakarta.security.enterprise.jar
%{_javadir}/soteria.spi.bean.decorator.weld-%{namedversion}.jar
%{_javadir}/soteria.spi.bean.decorator.weld.jar
%if %with javadoc
%{_javadir}/jakarta.security.enterprise-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.security.enterprise-javadoc.jar
%{_javadir}/soteria.spi.bean.decorator.weld-%{namedversion}-javadoc.jar
%{_javadir}/soteria.spi.bean.decorator.weld-javadoc.jar
%endif
%{_javadir}/jakarta.security.enterprise-%{namedversion}-sources.jar
%{_javadir}/jakarta.security.enterprise-sources.jar
%{_javadir}/soteria.spi.bean.decorator.weld-%{namedversion}-sources.jar
%{_javadir}/soteria.spi.bean.decorator.weld-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javaee-security-soteria-%{namedversion}
%{_javadocdir}/javaee-security-soteria
%endif

%changelog
* Fri Oct 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-2.redhat_00001.1
- Built by CPaaS

* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-1.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.1-2.redhat_00002.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.1-1.redhat_00002.1
Built by CPaaS



* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.1-2.redhat_00001.1
- Fix License

* Fri Oct 11 2019 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_00001.1
- RPM wrapper build 1.0.1.redhat-00001

* Fri Oct 11 2019 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_00001.1
- RPM wrapper build 1.0.1.redhat-00001

* Fri Oct 11 2019 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_00001.1
- RPM wrapper build 1.0.1.redhat-00001

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.0-2.redhat_1.1
- Fix Requires

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.0-1.redhat_1.1
- Wrapper for EAP 7.2.0

* Tue Jun 05 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.0-1.redhat_1.1
- upgrade to 1.0.0.redhat-1

* Tue Jun 05 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.0-1.redhat_1.1
- upgrade to 1.0.0.redhat-1

* Tue Jun 05 2018 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_1.1
- 1.0.1.redhat-1
